// ChildView.cpp : implementation of the CChildView class
//

#include "stdafx.h"
#include "gvgrapht.h"
#include "ChildView.h"
#include "gvgbs.h"
#include <math.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


extern gvgbs box1;
//extern gvgbs box2;

double xm0=0.0,ym0=0.0;
CPoint MPoint;




/////////////////////////////////////////////////////////////////////////////
// CChildView

CChildView::CChildView()
{
}

CChildView::~CChildView()
{
}


BEGIN_MESSAGE_MAP(CChildView,CWnd )
	//{{AFX_MSG_MAP(CChildView)
	ON_WM_PAINT()
	ON_WM_LBUTTONDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CChildView message handlers

BOOL CChildView::PreCreateWindow(CREATESTRUCT& cs) 
{
	if (!CWnd::PreCreateWindow(cs))
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW|CS_VREDRAW|CS_DBLCLKS, 
		::LoadCursor(NULL, IDC_ARROW), HBRUSH(COLOR_WINDOW+1), NULL);

	return TRUE;
}

void CChildView::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	CFont fff;
	CString ss; 
	CRect Rcur; //global rectangle
	GetClientRect(Rcur);
	//----------------------
	//box1.Fulfil(dc,Rcur);  //fixing, ticks and label
	//----------------------
	box1.Fixing(Rcur);
	//dc.Rectangle(&box1.gbrect()); //draw single border 
	
	gSetFont(18,4,1,0,&fff);dc.SelectObject(&fff);
	box1.puttitle(dc);
	gSetFont(12,6,0,0,&fff);dc.SelectObject(&fff);
	box1.DrawTicks(dc);
	gSetFont(14,6,0,0,&fff);dc.SelectObject(&fff);
	
	gSetCursor(1);
	double x=0,y;
	box1.SetRefPixel(0,0);
	box1.SetAxis(dc,0,0);
	do
	{
		x+=0.01;
		y=sin(x*6.28)*sin(x*6.28);
		CPoint p;
		box1.putline(dc,x,y,1);		
		box1.putBpixel(dc,x,y,1,gRed,1);		
	}while(x<2);
	CString ssd,ssp;
	ssd.Format("x =%5.4f y=%5.4f",xm0,ym0);
	ssp.Format("Px=%d     Py=%d",MPoint.x,MPoint.y);
	dc.TextOut(10,10,ssd);	dc.TextOut(10,30,ssp);
	box1.puttext(dc,0,0,"Origin");
	gSetCursor(0);	
}


void CChildView::OnLButtonDown(UINT nFlags, CPoint point) 
{
	CWnd ::OnLButtonDown(nFlags, point);
	double x,y;	
	if(box1.gpoint(point,&x,&y))
	{
		xm0=x; ym0=y; MPoint=point;
	}
	Invalidate();
}


