// DlgGvgbs.cpp : implementation file
//

#include "stdafx.h"
#include "psrcp.h"
#include "DlgGvgbs.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DlgGvgbs dialog


DlgGvgbs::DlgGvgbs(CWnd* pParent /*=NULL*/)
	: CDialog(DlgGvgbs::IDD, pParent)
{
	//{{AFX_DATA_INIT(DlgGvgbs)
	m_by = 0;
	m_bx = 0;
	m_tx = 0;
	m_ty = 0;
	m_xmax = 0.0;
	m_xmin = 0.0;
	m_ymax = 0.0;
	m_ymin = 0.0;
	m_label = _T("");
	m_visible = TRUE;
	m_dborder = FALSE;
	m_slabels = FALSE;
	m_sticks = FALSE;
	m_dx = 0;
	m_dy = 0;
	m_nx = 0;
	m_ny = 0;
	m_wx = 0;
	m_wy = 0;
	m_roundscales = FALSE;
	m_hs = 0.0;
	//}}AFX_DATA_INIT
}


void DlgGvgbs::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DlgGvgbs)
	DDX_Text(pDX, IDC_EDITbotY, m_by);
	DDV_MinMaxInt(pDX, m_by, 1, 100);
	DDX_Text(pDX, IDC_EDITbotX, m_bx);
	DDV_MinMaxInt(pDX, m_bx, 1, 100);
	DDX_Text(pDX, IDC_EDITtopX, m_tx);
	DDV_MinMaxInt(pDX, m_tx, 1, 100);
	DDX_Text(pDX, IDC_EDITtopY, m_ty);
	DDV_MinMaxInt(pDX, m_ty, 1, 100);
	DDX_Text(pDX, IDC_EDITxmax, m_xmax);
	DDX_Text(pDX, IDC_EDITxmin, m_xmin);
	DDX_Text(pDX, IDC_EDITymax, m_ymax);
	DDX_Text(pDX, IDC_EDITymin, m_ymin);
	DDX_Text(pDX, IDC_EDITLabel, m_label);
	DDV_MaxChars(pDX, m_label, 64);
	DDX_Check(pDX, IDC_CHECKVisible, m_visible);
	DDX_Check(pDX, IDC_CHECKFatBorder, m_dborder);
	DDX_Check(pDX, IDC_CHECKShowLabels, m_slabels);
	DDX_Check(pDX, IDC_CHECKShowTicks, m_sticks);
	DDX_Text(pDX, IDC_EDITDigtX, m_dx);
	DDX_Text(pDX, IDC_EDITDigtY, m_dy);
	DDX_Text(pDX, IDC_EDITNticksX, m_nx);
	DDX_Text(pDX, IDC_EDITNticksY, m_ny);
	DDX_Text(pDX, IDC_EDITWidthtX, m_wx);
	DDX_Text(pDX, IDC_EDITWidthtY, m_wy);
	DDX_Check(pDX, IDC_CHECKROUND, m_roundscales);
	DDX_Text(pDX, IDC_EDIT1, m_hs);
	DDV_MinMaxDouble(pDX, m_hs, 0., 1000.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DlgGvgbs, CDialog)
	//{{AFX_MSG_MAP(DlgGvgbs)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DlgGvgbs message handlers

void DlgGvgbs::OnOK() 
{	
	UpdateData(TRUE);		
	//gvClose();
	CDialog::OnOK();
}

void DlgGvgbs::gDlgInit(gvgbs G)
{	
	G.GetScreen(&m_tx,&m_ty,&m_bx,&m_by);
	G.GetWorld(&m_xmin,&m_ymin,&m_xmax, &m_ymax);
	m_label=G.Gtitle;
	m_visible=G.Gvisible;
	m_sticks=G.ShowTicks;
	m_slabels=G.ShowLabels;
	m_dborder=G.DoubleBorder;
	m_roundscales=G.RoundScales;
	G.GetXYticks(&m_nx,&m_ny,&m_wx,&m_wy,&m_dx,&m_dy);
}


void DlgGvgbs::gDlgClose(gvgbs *G)
{	
	G->RoundScales=m_roundscales;
	G->SetScreen(m_tx,m_ty,m_bx,m_by);
	if(m_hs<1.0e-8) m_hs=0;
	if(m_hs!=0) {m_xmin=m_ymin=-m_hs; m_xmax=m_ymax=m_hs;}
	G->SetWorld(m_xmin,m_ymin,m_xmax,m_ymax);
	G->Gtitle=m_label;
	G->Gvisible=m_visible;
	G->ShowLabels=m_slabels;
	G->ShowTicks=m_sticks;
	G->DoubleBorder=m_dborder;
	G->SetXYticks(m_nx,m_ny,m_wx,m_wy,m_dx,m_dy);
}

void DlgGvgbs::GvModal(gvgbs *box)
{
	gvgbs boxtmp;
	boxtmp=*box;
	gDlgInit(boxtmp);
	DoModal();
	gDlgClose(box);
}
